Revoke billing readiness for a buyer account
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/account-mappings/ready-to-invoice/{assertionId}/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/account-mappings/ready-to-invoice/{assertionId}/revoke"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.interchange.io/api/v2/storefront/account-mappings/ready-to-invoice/{assertionId}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"relationshipId": "<string>",
"invoiceParty": "operator",
"billingEntity": {},
"authority": "crm",
"evidence": {
"reference": "<string>",
"note": "<string>"
},
"state": "active",
"validFrom": "<string>",
"validUntil": "<string>",
"supersedesId": "<string>",
"createdAt": "<string>",
"createdBy": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Revoke billing readiness for a buyer account
Revoke a billing-readiness assertion. Fails closed: any active grant billed to this party moves to payment_required and future direct-billed execution is disabled until a new assertion is made. Already-committed buys keep their snapshotted billing rail and are not affected.
POST
/
account-mappings
/
ready-to-invoice
/
{assertionId}
/
revoke
Revoke billing readiness for a buyer account
curl --request POST \
--url https://api.interchange.io/api/v2/storefront/account-mappings/ready-to-invoice/{assertionId}/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>"
}
'import requests
url = "https://api.interchange.io/api/v2/storefront/account-mappings/ready-to-invoice/{assertionId}/revoke"
payload = { "reason": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({reason: '<string>'})
};
fetch('https://api.interchange.io/api/v2/storefront/account-mappings/ready-to-invoice/{assertionId}/revoke', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"relationshipId": "<string>",
"invoiceParty": "operator",
"billingEntity": {},
"authority": "crm",
"evidence": {
"reference": "<string>",
"note": "<string>"
},
"state": "active",
"validFrom": "<string>",
"validUntil": "<string>",
"supersedesId": "<string>",
"createdAt": "<string>",
"createdBy": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Body
application/json
Revoke a billing-readiness assertion. Fails closed: any active grant billed to this party moves to payment_required and future direct-billed execution is disabled until a new assertion is made. Already-committed buys are not affected.
Required string length:
1 - 500Response
Revoke billing readiness for a buyer account
Available options:
operator, advertiser Show child attributes
Show child attributes
Available options:
crm, erp, finance_staff, external_workflow Show child attributes
Show child attributes
Available options:
active, revoked, expired